Loading...
Searching...
No Matches
Halide::Internal::PrintSpanLn< T > Struct Template Reference

Allow easily printing the contents of spans, or std::vector-like spans, in debug output. More...

`#include <Debug.h>`

## Public Member Functions

| PrintSpanLn (const T &span)

## Public Attributes

const T & | span

## Detailed Description

template<typename T>
struct Halide::Internal::PrintSpanLn< T >

Allow easily printing the contents of spans, or std::vector-like spans, in debug output.

Used like so: std::vector<Type> arg_types; debug(4) << "arg_types: " << PrintSpan(arg_types) << "\n"; Which results in output like: arg_types: { uint8x8, uint8x8, } Indentation uses a tab character.

Definition at line 97 of file Debug.h.

## Constructor & Destructor Documentation

## PrintSpanLn()

template<typename T>

Halide::Internal::PrintSpanLn< T >::PrintSpanLn | ( | const T & | span | ) |

inline

Definition at line 99 of file Debug.h.

References span.

## Member Data Documentation

## span

template<typename T>

const T& Halide::Internal::PrintSpanLn< T >::span

Definition at line 98 of file Debug.h.

Referenced by Halide::Internal::operator<<(), and PrintSpanLn().

The documentation for this struct was generated from the following file:

- src/Debug.h